Hinweis Probleme mit JAG3D unter Java 11

by Micha ⌂, Thursday, October 25, 2018, 19:38 (19 days ago) @ Markus

Hallo Markus

Bei der Installation stellte sich heraus, dass die neuste Java Version 11 nicht mit jag3d (v20181001) funktioniert, so das wir uns die ältere Java Version 10.0.2 installieren mussten.

JavaFX ist nicht mehr Teil des SDKs. Mit der Version 11 wurde es entfernt und für die FX-Umgebung ein eigenständiges Modul abgeleitet, vgl. The Future of JavaFX. Das FX-Projekt ist nun unter der Adresse https://openjfx.io zu finden und muss zusätzlich zur Laufzeitumgebung bereitgestellt werden.

Eine Anleitung für eine Installation findet sich hier. Mit dieser konnte ich JAG3D auch mit Java 11 starten. Dennoch werde ich mir das in den nächsten Tagen genauer ansehen.

Viele Grüße
Micha

--
applied-geodesy.org - OpenSource Least-Squares Adjustment Software for Geodetic Sciences

Tags:
javafx, java 11


Complete thread:

 RSS Feed of thread